Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.plaf.basic
Class BasicTaskPaneContainerUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.PanelUI
              org.jdesktop.swingx.plaf.TaskPaneContainerUI
                  org.jdesktop.swingx.plaf.basic.BasicTaskPaneContainerUI

    public class BasicTaskPaneContainerUI

extends TaskPaneContainerUI

Base implementation of the `JXTaskPaneContainer` UI.

Author:
  Frederic Lavigne, Karl Schaefer

Nested Class Summary
`protected class` | `BasicTaskPaneContainerUI.VerticalLayoutUIResource` A `UIResource` implementation of `VerticalLayout`.

Field Summary
`protected JXTaskPaneContainer` | `taskPane` The task pane container managed by this UI delegate.

Constructor Summary
`BasicTaskPaneContainerUI()`

Method Summary
`protected java.awt.LayoutManager` | `createDefaultLayout()` Constructs a layout manager to be used by the Look and Feel.
`static javax.swing.plaf.ComponentUI` | `createUI(javax.swing.JComponent c)` Returns a new instance of BasicTaskPaneContainerUI.
`protected void` | `installDefaults()` Installs the default colors, border, and painter of the task pane container.
`void` | `installUI(javax.swing.JComponent c)`
`protected void` | `uninstallDefaults()` Uninstalls the default colors, border, and painter of the task pane container.
`void` | `uninstallUI(javax.swing.JComponent c)`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, paint, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### taskPane

    protected JXTaskPaneContainer taskPane

  The task pane container managed by this UI delegate.

Constructor Detail

### BasicTaskPaneContainerUI

    public BasicTaskPaneContainerUI()

Method Detail

### createUI

    public static javax.swing.plaf.ComponentUI createUI(javax.swing.JComponent c)

  Returns a new instance of BasicTaskPaneContainerUI. BasicTaskPaneContainerUI delegates are allocated one per JXTaskPaneContainer.

  Returns:
    A new TaskPaneContainerUI implementation for the Basic look and feel.

### installUI

    public void installUI(javax.swing.JComponent c)

  Overrides:
    `installUI` in class `javax.swing.plaf.ComponentUI`

### installDefaults

    protected void installDefaults()

  Installs the default colors, border, and painter of the task pane container.

### createDefaultLayout

    protected java.awt.LayoutManager createDefaultLayout()

  Constructs a layout manager to be used by the Look and Feel.

  Returns:
    the layout manager for the current Look and Feel

### uninstallUI

    public void uninstallUI(javax.swing.JComponent c)

  Overrides:
    `uninstallUI` in class `javax.swing.plaf.ComponentUI`

### uninstallDefaults

    protected void uninstallDefaults()

  Uninstalls the default colors, border, and painter of the task pane container.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.